import { RequestClient } from '@segment/actions-core';
import type { Settings } from '../../generated-types';
import DDApi from '../dd-api';
import type { Payload } from '../../sendTransactionalEmail/generated-types';
declare class DDEmailApi extends DDApi {
    constructor(settings: Settings, client: RequestClient);
    sendTransactionalEmail(payload: Payload): Promise<import("@segment/actions-core/src").ModifiedResponse<unknown>>;
}
export default DDEmailApi;
